unit UnitClientS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, WSocket, StdCtrls;

type
  TFormClientS = class(TForm)
    EditData: TEdit;
    ButtonDeconnexion: TButton;
    LabelInfo: TLabel;
    ButtonEnvoi: TButton;
    WSocketClientS: TWSocket;
    Label1: TLabel;
    LabelData: TLabel;
    procedure ButtonEnvoiClick(Sender: TObject);
    procedure WSocketClientSSessionClosed(Sender: TObject; ErrCode: Word);
    procedure WSocketClientSDataAvailable(Sender: TObject; ErrCode: Word);
    procedure ButtonDeconnexionClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FormClientS: TFormClientS;

implementation

{$R *.dfm}

procedure TFormClientS.ButtonEnvoiClick(Sender: TObject);
begin
WSocketClientS.SendStr(EditData.Text);
end;

procedure TFormClientS.WSocketClientSSessionClosed(Sender: TObject;
  ErrCode: Word);
begin
Close;
end;

procedure TFormClientS.WSocketClientSDataAvailable(Sender: TObject;
  ErrCode: Word);
begin
LabelData.Caption:=WSocketClientS.ReceiveStr;
end;

procedure TFormClientS.ButtonDeconnexionClick(Sender: TObject);
begin
WSocketClientS.Close;
end;

end.
